メインコンテンツへスキップ
GET
/
automation
/
actions
/
2026-03
/
{appId}
/
{definitionId}
/
functions
/
{functionType}
特定の定義のタイプを基準に関数を取得
curl --request GET \
  --url https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}/functions/{functionType} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}/functions/{functionType}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}/functions/{functionType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "functionSource": "<string>",
  "id": "<string>"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

appId
integer<int32>
必須

関数に関連付けられているアプリのID。

definitionId
string
必須

関数に関連付けられている定義のID。

functionType
enum<string>
必須

取得する関数のタイプ。許容される値は、POST_ACTION_EXECUTION、POST_FETCH_OPTIONS、PRE_ACTION_EXECUTION、PRE_FETCH_OPTIONSです。

利用可能なオプション:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

レスポンス

successful operation

functionSource
string
必須

関数の動作を定義するソースコードまたはスクリプト。

functionType
enum<string>
必須

関数のタイプ。許容される値は、POST_ACTION_EXECUTION、POST_FETCH_OPTIONS、PRE_ACTION_EXECUTION、PRE_FETCH_OPTIONSです。

利用可能なオプション:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS
id
string

アクション関数の固有ID。

最終更新日 2026年4月10日